﻿*************************************************************************************************************
*** SINTAXIS DE TABULADOS MÓDULO AMBIENTAL - ENEMDU 2016.
*************************************************************************************************************
A.  Apertura de la base de variables ambientales ENEMDU Diciembre 2016 e inicialización de variables de desglose.

GET
  FILE='C:\Users\rbenavides\Documents\DEAGA\ENEMDU 2016\AMBIENTE.sav'.
DATASET NAME Ambientales WINDOW=FRONT.

COMPUTE NACIONAL=1.
VARIABLE LABELS NACIONAL "NACIONAL".
VALUE LABELS NACIONAL 1"Nacional".

IF (CIUDAD=170150) DOMIN=1.
IF (CIUDAD=90150) DOMIN=2.
IF (CIUDAD=10150) DOMIN=3.
IF (CIUDAD=180150) DOMIN=4.
IF (CIUDAD=70150) DOMIN=5.

VARIABLE LABELS DOMIN 'Ciudades de Dominio'.
VALUE LABELS DOMIN 1 'Quito' 2 'Guayaquil' 3 'Cuenca' 4 'Ambato' 5 'Machala'.
EXECUTE.

RECODE prov (1 thru 6, 10, 11, 17, 18 = 1) (7, 8, 9, 12, 13, 23, 24, 90 = 2) (14, 15, 16, 19, 21, 22 = 3) (20 = 4) INTO REG_NATURAL.
VARIABLE LABELS REG_NATURAL "Región Natural - DEAGA".
VALUE LABELS REG_NATURAL 1'Sierra' 2'Costa' 3'Amazonía' 4'Región Insular'.
FREQUENCIES REG_NATURAL.

**********************************************************************************************************************************
B. Sintaxis de Depuración de Datos con inconsistencias leves (Tipo de error = 1 (OK)) - AMBIENTALES ENEMDU 2016.
**********************************************************************************************************************************
* B.1) Si (A09 = 1 y A09A = 0) entonces (A09 = 3 y A09A = SYSMIS).

WEIGHT OFF.

COMPUTE A09A_ORIGINAL = A09A.

CTABLES
  /VLABELS VARIABLES=A09 A09A DISPLAY=LABEL
  /TABLE A09 [COUNT F40.0] BY A09A [C]
  /CATEGORIES VARIABLES=A09 A09A ORDER=A KEY=VALUE EMPTY=INCLUDE.

DO IF (A09 = 1 & A09A = 0).
   COMPUTE A09 = 3.
   COMPUTE A09A = $SYSMIS.
END IF.

CTABLES
  /VLABELS VARIABLES=A09 A09A DISPLAY=LABEL
  /TABLE A09 [COUNT F40.0] BY A09A [C]
  /CATEGORIES VARIABLES=A09 A09A ORDER=A KEY=VALUE EMPTY=INCLUDE.

**********************************************************************************************************************************

* B.2) Si (A11 = 1 y A11A = 0) entonces (A11 = 3 y A11A = SYSMIS).

WEIGHT OFF.

COMPUTE A11A_ORIGINAL = A11A.

CTABLES
  /VLABELS VARIABLES=A11 A11A DISPLAY=LABEL
  /TABLE A11 [COUNT F40.0] BY A11A [C]
  /CATEGORIES VARIABLES=A11 A11A ORDER=A KEY=VALUE EMPTY=INCLUDE.

DO IF (A11 = 1 & A11A = 0).
   COMPUTE A11 = 3.
   COMPUTE A11A = $SYSMIS.
END IF.

CTABLES
  /VLABELS VARIABLES=A11 A11A DISPLAY=LABEL
  /TABLE A11 [COUNT F40.0] BY A11A [C]
  /CATEGORIES VARIABLES=A11 A11A ORDER=A KEY=VALUE EMPTY=INCLUDE.

**********************************************************************************************************************************
*************************************************************************************************************
C. Cálculo de los tabulados.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 1. HOGARES QUE CLASIFICARON RESIDUOS.

COMPUTE A02_temp = (A02 = 1).
VARIABLE LABELS A02_temp "Hogares que clasificaron sus residuos".
VALUE LABELS A02_temp 0'No' 1'Sí'.

WEIGHT BY FEXP.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A02_temp DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
    + DOMIN [COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY A02_temp
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A02_temp EMPTY=INCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 2. HOGARES QUE CLASIFICAN SEGÚN EL TIPO DE RESIDUO.
* --- 2.1 Clasificó residuos orgánicos.

FILTER BY A02_temp.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A0301 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
    + DOMIN [COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY A0301
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A0301 EMPTY=INCLUDE.

* --- 2.2 Clasificó residuos inorgánicos: Papel, cartón.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A0302A DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
    + DOMIN [COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY A0302A
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A0302A EMPTY=INCLUDE.

* --- 2.3 Clasificó residuos inorgánicos: Plástico.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A0302B DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
    + DOMIN [COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY A0302B
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A0302B EMPTY=INCLUDE.

* --- 2.4 Clasificó residuos inorgánicos: Vidrio.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A0302C DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
    + DOMIN [COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY A0302C
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A0302C EMPTY=INCLUDE.

FILTER OFF.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 3. HOGARES QUE NO CLASIFICARON LOS RESIDUOS POR CIUDADES AUTORREPRESENTADAS.

CTABLES
  /VLABELS VARIABLES=NACIONAL DOMIN A02 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + DOMIN [COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
    BY A02
  /CATEGORIES VARIABLES=NACIONAL DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A02 EMPTY=INCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 4. PRINCIPALMENTE, CÓMO ELIMINÓ LOS RESIDUOS DE ORGÁNICOS.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A04A DISPLAY=LABEL
  /TABLE NACIONAL + AREA + DOMIN BY A04A [COUNT F40.0, ROWPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A04A ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 5. PRINCIPALMENTE, EN SU HOGAR DURANTE LOS ÚLTIMOS 12 MESES, CÓMO ELIMINÓ LOS RESIDUOS DE PLÁSTICO.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A04B DISPLAY=LABEL
  /TABLE NACIONAL + AREA + DOMIN BY A04B [COUNT F40.0, ROWPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A04B ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 6. PRINCIPALMENTE, EN SU HOGAR DURANTE LOS ÚLTIMOS 12 MESES, CÓMO ELIMINÓ LOS RESIDUOS DE VIDRIO.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A04C DISPLAY=LABEL
  /TABLE NACIONAL + AREA + DOMIN BY A04C [COUNT F40.0, ROWPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A04C ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 7. PRINCIPALMENTE, EN SU HOGAR DURANTE LOS ÚLTIMOS 12 MESES,CÓMO ELIMINÓ LOS RESIDUOS DE PAPEL, CARTÓN.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A04D DISPLAY=LABEL
  /TABLE NACIONAL + AREA + DOMIN BY A04D [COUNT F40.0, ROWPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A04D ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 8.  PRINCIPALES RAZONES POR LAS QUE LOS HOGARES NO CLASIFICAN RESIDUOS.

USE ALL.
COMPUTE filtro_no_clasif = (A02 = 2).
FILTER BY filtro_no_clasif.

CTABLES
  /VLABELS VARIABLES= NACIONAL AREA DOMIN A05 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.2] + AREA [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    + DOMIN [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY A05
  /CATEGORIES VARIABLES= AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=NO POSITION=AFTER
 /CATEGORIES VARIABLES= A05 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.

DELETE VARIABLES filtro_no_clasif.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 9.  HOGARES QUE UTILIZARON PILAS.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A06 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.2] + AREA [COUNT F40.0, ROWPCT.COUNT PCT40.2]
    + DOMIN [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY A06
  /CATEGORIES VARIABLES=A06 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 10.  HOGARES QUE UTILIZARON PILAS, DE LAS CUALES AL MENOS UNA ES RECARGABLE.

COMPUTE usa_pilas_rec = (A06B > 0).
VARIABLE LABELS usa_pilas_rec "Hogares que utilizaron pilas recargables".
VALUE LABELS usa_pilas_rec 0'No' 1'Sí'.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN usa_pilas_rec DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.2]  + AREA [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    + DOMIN [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY usa_pilas_rec
  /CATEGORIES VARIABLES= AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=NO POSITION=AFTER
  /CATEGORIES VARIABLES=usa_pilas_rec ORDER=D KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

DELETE VARIABLES usa_pilas_rec.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 11.  DISPOSICIÓN FINAL DE LAS PILAS.

COMPUTE A08A_temp = A08A.
RECODE A08A_temp (5, 6=SYSMIS).
VARIABLE LABELS A08A_temp "Disposición final de las pilas".
VALUE LABELS A08A_temp 1'Envió a un centro de acopio o depositó en un contenedor especial'
2'Guardó, vendió, regaló'
3'Depositó con el resto de la basura común'
4'Quemó, enterró, botó a la quebrada, desagüe'.

CTABLES
  /VLABELS VARIABLES=NACIONAL A08A_temp DISPLAY=LABEL
  /TABLE A08A_temp BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.2]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE
 /CATEGORIES VARIABLES=A08A_temp ORDER=A KEY=VALUE EMPTY=INCLUDE.

DELETE VARIABLES A08A_temp.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 12.  CANTIDAD DE PILAS UTILIZADAS POR LOS HOGARES SEGÚN TIPO.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A06A A06B DISPLAY=LABEL
  /TABLE NACIONAL [C] + AREA [C] + DOMIN [C] BY A06A [S][SUM] + A06B [S][SUM]
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 13.  HOGARES QUE UTILIZAN FOCOS.

FILTER OFF.
USE ALL.
COMPUTE filtro_electricidad = (VI09 <= 2).
FILTER BY filtro_electricidad.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A07 DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
      + DOMIN [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY A07
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A07 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 14.  HOGARES QUE UTILIZAN FOCOS AHORRADORES.

FILTER OFF.
USE ALL.

COMPUTE usa_focos_aho = (A07B > 0).
VARIABLE LABELS usa_focos_aho "Hogares que utilizan focos ahorradores".
VALUE LABELS usa_focos_aho 0'No' 1'Sí'.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN usa_focos_aho DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
      + DOMIN [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY usa_focos_aho
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=usa_focos_aho ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 15.  DISPOSICIÓN FINAL UTILIZADA POR LOS HOGARES PARA LOS FOCOS AHORRADORES.

FILTER OFF.
USE ALL.

COMPUTE A08E_temp = A08E.
RECODE A08E_temp (5, 6=SYSMIS).
VARIABLE LABELS A08E_temp "Disposición final de los focos ahorradores".
VALUE LABELS A08E_temp 1'Envió a un centro de acopio o depositó en un contenedor especial'
2'Guardó, vendió, regaló'
3'Depositó con el resto de la basura común'
4'Quemó, enterró, botó a la quebrada, desagüe'.

COMPUTE filtro_compuesto = usa_focos_aho & filtro_electricidad.

FILTER BY filtro_compuesto.
CTABLES
  /VLABELS VARIABLES=NACIONAL A08E_temp DISPLAY=LABEL
  /TABLE A08E_temp BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.2]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE
 /CATEGORIES VARIABLES=A08E_temp ORDER=A KEY=VALUE EMPTY=INCLUDE.

FILTER OFF.
USE ALL.

DELETE VARIABLES A08E_temp.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 16.  NÚMERO DE FOCOS Y FOCOS AHORRADORES, FOCOS AHORRADORES LED Y FOCOS NO AHORRADORES.

FILTER OFF.
USE ALL.

FILTER BY filtro_electricidad.
CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A07A A07B A07B1 DISPLAY=LABEL
  /TABLE NACIONAL [C] + AREA [C] + DOMIN [C] BY A07A [S][SUM] + A07B [S][SUM] + A07B1 [S][SUM]
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 17.  DISPOSICIÓN FINAL DE LOS DESECHOS FARMACÉUTICOS (MEDICAMENTOS).

COMPUTE A08B_temp = A08B.
RECODE A08B_temp (5, 6=SYSMIS).
VARIABLE LABELS A08B_temp "Disposición final de los desechos farmaceúticos (medicamentos)".
VALUE LABELS A08B_temp 1'Envió a un centro de acopio o depositó en un contenedor especial'
2'Guardó, vendió, regaló'
3'Depositó con el resto de la basura común'
4'Quemó, enterró, botó a la quebrada, desagüe'.

CTABLES
  /VLABELS VARIABLES=NACIONAL A08B_temp DISPLAY=LABEL
  /TABLE A08B_temp BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.2]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE
 /CATEGORIES VARIABLES=A08B_temp ORDER=A KEY=VALUE EMPTY=INCLUDE.

DELETE VARIABLES A08B_temp.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 18.  DISPOSICIÓN FINAL DE ACEITE Y/O GRASAS (COCINA).

COMPUTE A08D_temp = A08D.
RECODE A08D_temp (2, 5 = 2) (6=SYSMIS) (ELSE = COPY).
VARIABLE LABELS A08D_temp "Disposición final de aceite y/o grasas (cocina)".
VALUE LABELS A08D_temp 1'Envió a un centro de acopio o depositó en un contenedor especial'
2'Guardó, vendió, regaló'
3'Depositó con el resto de la basura común'
4'Quemó, enterró, botó a la quebrada, desagüe'.

CTABLES
  /VLABELS VARIABLES=NACIONAL A08D_temp DISPLAY=LABEL
  /TABLE A08D_temp BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.2]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE
 /CATEGORIES VARIABLES=A08D_temp ORDER=A KEY=VALUE EMPTY=INCLUDE.

DELETE VARIABLES A08D_temp.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 19.  DISPOSICIÓN FINAL DE DESECHOS ELECTRÓNICOS / ELÉCTRICOS.

COMPUTE A08C_temp = A08C.
RECODE A08C_temp (5, 6=SYSMIS).
VARIABLE LABELS A08C_temp "Disposición final de aceite y/o grasas (cocina)".
VALUE LABELS A08C_temp 1'Envió a un centro de acopio o depositó en un contenedor especial'
2'Guardó, vendió, regaló'
3'Depositó con el resto de la basura común'
4'Quemó, enterró, botó a la quebrada, desagüe'.

CTABLES
  /VLABELS VARIABLES=NACIONAL A08C_temp DISPLAY=LABEL
  /TABLE A08C_temp BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.2]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE
 /CATEGORIES VARIABLES=A08C_temp ORDER=A KEY=VALUE EMPTY=INCLUDE.

DELETE VARIABLES A08C_temp.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 20.  PROMEDIO DE CONSUMO DE AGUA.

GET
  FILE='C:\Users\rbenavides\Documents\DEAGA\ENEMDU 2016\4ta Preliminar\PERSONAS.sav'.
DATASET NAME Personas WINDOW=FRONT.

SORT CASES BY AREA CIUDAD ZONA SECTOR PANELM VIVIENDA HOGAR.
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /PRESORTED
  /BREAK=AREA CIUDAD ZONA SECTOR PANELM VIVIENDA HOGAR
  /PPHOGAR 'Personas por hogar'=N(p01).

SAVE OUTFILE='C:\Users\rbenavides\Documents\DEAGA\ENEMDU 2016\4ta Preliminar\PERSONAS.sav'
 /COMPRESSED.

MATCH FILES /TABLE=*
  /FILE='Personas'
  /RENAME (PERSONA NIVINST ANOINST SABELE TITULODCI P12A DTITULO P12B P13 P14 P15 P15AA P15AB 
    P15ADCI P16A P16B P17DCI P17A P17B P18 P19A P19B SEXO TRABAJO ACTAYUDA AUNOTRA PORNOT HORTRASA 
    RATMEH RATMAH HORMAS P28 P29 P29A EDAD P30 P31 BUSTRAMA TIEMBUS MOTNOBUS DESEATRA CONDINA TRABANT 
    MOTNOTRA TIEMNOT RELJEFE SD01 SD021 SD0210 SD0211 SD022 SD023 SD024 SD025 SD026 SD027 SD028 SD029 
    SD03 SD03D DRAMA RAMADCI RAMA P40ADCI P40A P40A1 P40A2 P40A3 P40A4 DGRUPO GRUPO GRUPODCI CATETRAB 
    P42A ESTABIL P44A P44B P44C P44D P44E P44F P44G P44H P44I P44J P44K P45 P46 PERTRABN NPERTRA P48 
    P49 NUMTRAB HORTRAHP HORTRAHS HORTRAHO DRAMAS RAMAS RAMASDCI DGRUPOS GRUPOS GRUPOSDCI CATES P54A 
    P55 P56A P56B P57 P58 P58A P58B P58BDCI P58B1 P58B2 P58B3 P58B4 P59 IESS P05B P06 P60A P60B P60C 
    P60D P60E P60F P60G P60H P60I P60J P60K P61A101 P61A102 P61A103 P61A11 P61A111 P61A112 P61A113 
    P61A12 P61A13 P61A2 P61A31 P61A32 P61A33 P61A34 P61A4 P61A5 P61A61 P61A62 P61A7 P61A8 P61A91 P61A92 
    P61B1 P63 P63D P64A P64B P64D P65 P65D P66 P66D P67 P67D P68A P68B P68D P69 ASISTEA P70A P70B P71A 
    P71B P71D P72A P72B P72D P73A P73B P73D P74A P74B P74D P75 P76 P76D P77 P78 P78D P79 P79A1 P79A2 
    P79B1 P79B2 P08 P09 CED01A CED01C CONDACT PCOMP COD_INF INGRL PE01 PE02A PE02B PE03 PE03A1 PE03A2 
    PE03A3 PE03A4 PE03A5 PE04 PE05A PE05B PE06 PE07 PE08 PE09A PE09B PIA01A PIA01B PIA02 PIA02D PIA03 
    prov PS01 PS02A PS02B PS02C PS03 PS03A PS04A PS04B PS04C PS05 PS05A PS05B PS06 PS06A PS06B PS07 
    PS07A PS07AA PS07AB PS07B PS08 PS08A PS08B PS09 PS09A PS09B PS10 PS10A PS10B PS11 PS11A PS12 PS12A 
    PT01A PT01B PT02 PT03 PT04A PT04B PT04C PT05 PT06A PT06B PT06C PT06D PT07 PT08 PT1A PT1B1 PT1B2 
    PT1B3 PT1B4 PT1B5 PT1B6 Rgnl Rn PEAMSIU SEG011 SEG0110 SEG012 SEG013 SEG014 SEG015 SEG016 SEG017 
    SEG018 SEG019 SEG02 SEG03 SEG041 SEG042 SEG043 SEG044 SEG045 SEG046 SEG047 SEG048 SEG05 SEG06 SEG07 
    SEG08 SEG091 SEG092 SEG093 SEG101 SEG102 SEG103 SEG104 SEG111 SEG112 SEG113 SEG121 SEG122 SEG123 = 
    d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 
    d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 
    d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76 
    d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 d100 
    d101 d102 d103 d104 d105 d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 d120 
    d121 d122 d123 d124 d125 d126 d127 d128 d129 d130 d131 d132 d133 d134 d135 d136 d137 d138 d139 d140 
    d141 d142 d143 d144 d145 d146 d147 d148 d149 d150 d151 d152 d153 d154 d155 d156 d157 d158 d159 d160 
    d161 d162 d163 d164 d165 d166 d167 d168 d169 d170 d171 d172 d173 d174 d175 d176 d177 d178 d179 d180 
    d181 d182 d183 d184 d185 d186 d187 d188 d189 d190 d191 d192 d193 d194 d195 d196 d197 d198 d199 d200 
    d201 d202 d203 d204 d205 d206 d207 d208 d209 d210 d211 d212 d213 d214 d215 d216 d217 d218 d219 d220 
    d221 d222 d223 d224 d225 d226 d227 d228 d229 d230 d231 d232 d233 d234 d235 d236 d237 d238 d239 d240 
    d241 d242 d243 d244 d245 d246 d247 d248 d249 d250 d251 d252 d253 d254 d255 d256 d257 d258 d259 d260 
    d261 d262 d263 d264 d265 d266 d267 d268 d269 d270 d271 d272 d273 d274 d275 d276 d277 d278 d279 d280 
    d281 d282 d283 d284 d285 d286 d287 d288 d289 d290 d291 d292 d293 d294 d295 d296 d297 d298 d299 d300 
    d301 d302 d303 d304 d305 d306 d307 d308 d309 d310 d311 d312 d313 d314 d315 d316 d317 d318 d319) 
  /BY AREA CIUDAD ZONA SECTOR PANELM VIVIENDA HOGAR
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 
    d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 
    d75 d76 d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 
    d100 d101 d102 d103 d104 d105 d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 
    d120 d121 d122 d123 d124 d125 d126 d127 d128 d129 d130 d131 d132 d133 d134 d135 d136 d137 d138 d139 
    d140 d141 d142 d143 d144 d145 d146 d147 d148 d149 d150 d151 d152 d153 d154 d155 d156 d157 d158 d159 
    d160 d161 d162 d163 d164 d165 d166 d167 d168 d169 d170 d171 d172 d173 d174 d175 d176 d177 d178 d179 
    d180 d181 d182 d183 d184 d185 d186 d187 d188 d189 d190 d191 d192 d193 d194 d195 d196 d197 d198 d199 
    d200 d201 d202 d203 d204 d205 d206 d207 d208 d209 d210 d211 d212 d213 d214 d215 d216 d217 d218 d219 
    d220 d221 d222 d223 d224 d225 d226 d227 d228 d229 d230 d231 d232 d233 d234 d235 d236 d237 d238 d239 
    d240 d241 d242 d243 d244 d245 d246 d247 d248 d249 d250 d251 d252 d253 d254 d255 d256 d257 d258 d259 
    d260 d261 d262 d263 d264 d265 d266 d267 d268 d269 d270 d271 d272 d273 d274 d275 d276 d277 d278 d279 
    d280 d281 d282 d283 d284 d285 d286 d287 d288 d289 d290 d291 d292 d293 d294 d295 d296 d297 d298 d299 
    d300 d301 d302 d303 d304 d305 d306 d307 d308 d309 d310 d311 d312 d313 d314 d315 d316 d317 d318 d319.    
EXECUTE.

DATASET ACTIVATE Ambientales.
DATASET CLOSE Personas.

* Identificar casos duplicados.
SORT CASES BY AREA(A) CIUDAD(A) ZONA(A) SECTOR(A) PANELM(A) VIVIENDA(A) HOGAR(A).
MATCH FILES
  /FILE=*
  /BY AREA CIUDAD ZONA SECTOR PANELM VIVIENDA HOGAR
  /FIRST=PrimarioPrimero.
VARIABLE LABELS  PrimarioPrimero 'Indicador de cada primer caso de coincidencia como primario'.
VALUE LABELS  PrimarioPrimero 0 'Caso duplicado' 1 'Caso primario'.
VARIABLE LEVEL  PrimarioPrimero (ORDINAL).
EXECUTE.

* Eliminar los casos duplicados (quedará un solo registro por hogar).
FILTER OFF.
USE ALL.
SELECT IF  (NOT(PrimarioPrimero=0)).
EXECUTE.

DELETE VARIABLES PrimarioPrimero.

SAVE OUTFILE='C:\Users\rbenavides\Documents\DEAGA\ENEMDU 2016\AMBIENTE.sav'
 /COMPRESSED.

* Creación de la variable de categorías de hogar por número de integrantes.
RECODE PPHOGAR (1 = 1)(2 = 2)(3 = 3)(4 = 4)(5 THRU HI = 5) INTO Hogar_INTEG.
VARIABLE LABELS Hogar_INTEG "Clases de hogares según número de integrantes".
VALUE LABELS Hogar_INTEG
1'1 persona en el hogar'
2'2 personas en el hogar'
3'3 personas en el hogar'
4'4 personas en el hogar'
5'5 o más personas en el hogar'.

FREQUENCIES Hogar_INTEG.

COMPUTE FILTRO_AGUA = (VI16 = 1).

FILTER BY FILTRO_AGUA.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA Hogar_INTEG A09A DISPLAY=LABEL
  /TABLE NACIONAL + AREA + Hogar_INTEG BY A09A [MEAN]
  /CATEGORIES VARIABLES=NACIONAL AREA Hogar_INTEG ORDER=A KEY=VALUE EMPTY=INCLUDE.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 21.  PRÁCTICAS DE AHORRO DE AGUA REALIZADAS POR LOS HOGARES.

FILTER OFF.
USE ALL.

COMPUTE FILTRO_PAHA = (VI16 = 1 & VI16C = 1).

FILTER BY FILTRO_PAHA.

CTABLES
  /VLABELS VARIABLES=A1001 A1002 A1003 A1004 A1005 A1006 DISPLAY=LABEL
  /TABLE A1001 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] + A1002 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] +
                A1003 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] + A1004 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] +
                A1005 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] + A1006 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=A1001 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=A1002 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=A1003 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=A1004 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=A1005 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=A1006 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 22.  HOGARES QUE TIENEN DISPOSITIVOS DE AHORRO DE AGUA.

COMPUTE A07_A08 = MIN (A1007, A1008).
VARIABLE LABELS A07_A08 "Disponen de inodoro doble descarga / botella de agua dentro del tanque del inodoro".
VALUE LABELS A07_A08 1'Sí' 2'No' 3'No aplica'.
FREQUENCIES A07_A08.

FILTER BY FILTRO_PAHA.

CTABLES
  /VLABELS VARIABLES=A07_A08 DISPLAY=LABEL
  /TABLE A07_A08 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=A07_A08 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 23.  PROMEDIO DE CONSUMO ELECTRICIDAD.

COMPUTE FILTRO_ENERGIA = (VI09 = 1).

FILTER BY FILTRO_ENERGIA.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA Hogar_INTEG A11A DISPLAY=LABEL
  /TABLE NACIONAL + AREA + Hogar_INTEG BY A11A [MEAN]
  /CATEGORIES VARIABLES=NACIONAL AREA Hogar_INTEG ORDER=A KEY=VALUE EMPTY=INCLUDE.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 24.  PRÁCTICAS DE AHORRO DE ENERGÍA REALIZADAS POR LOS HOGARES.

FILTER OFF.
USE ALL.

COMPUTE FILTRO_A1201 = (EQ0101 = 1 | EQ0201 = 1 | EQ0301 = 1 | EQ0401 = 1 | EQ0501 = 1 | EQ0601 = 1 |
EQ0901 = 1 | EQ1001 = 1 | EQ1101 = 1 | EQ1601 = 1 | EQ1801 = 1) & FILTRO_ENERGIA.

FILTER BY FILTRO_A1201.

CTABLES
  /VLABELS VARIABLES=A1201 DISPLAY=LABEL
  /TABLE A1201 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=A1201 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*-----------------------------------------------------------------------------------------------------------------------------------------------------.

FILTER OFF.
USE ALL.

COMPUTE FILTRO_A1202 = (A07 = 1) & FILTRO_ENERGIA.

FILTER BY FILTRO_A1202.

CTABLES
  /VLABELS VARIABLES=A1202 DISPLAY=LABEL
  /TABLE A1202 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=A1202 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*-----------------------------------------------------------------------------------------------------------------------------------------------------.

FILTER OFF.
USE ALL.

COMPUTE FILTRO_A1203 = (EQ0101 = 1) & FILTRO_ENERGIA.

FILTER BY FILTRO_A1203.

CTABLES
  /VLABELS VARIABLES=A1203 DISPLAY=LABEL
  /TABLE A1203 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=A1203 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*-----------------------------------------------------------------------------------------------------------------------------------------------------.

FILTER OFF.
USE ALL.

COMPUTE FILTRO_A1204 = FILTRO_ENERGIA.

FILTER BY FILTRO_A1204.

CTABLES
  /VLABELS VARIABLES=A1204 DISPLAY=LABEL
  /TABLE A1204 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=A1204 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*-----------------------------------------------------------------------------------------------------------------------------------------------------.

FILTER OFF.
USE ALL.

COMPUTE FILTRO_A1205 = FILTRO_ENERGIA.

FILTER BY FILTRO_A1205.

CTABLES
  /VLABELS VARIABLES=A1205 DISPLAY=LABEL
  /TABLE A1205 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=A1205 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 25.  HOGARES QUE TIENEN DISPOSITIVOS AHORRADORES DE ENERGÍA.

FILTER BY FILTRO_ENERGIA.

CTABLES
  /VLABELS VARIABLES=A1206 A1207 DISPLAY=LABEL
  /TABLE A1206 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] + A1207 [C][COUNT F40.0, COLPCT.VALIDN 
    PCT40.1]
  /CATEGORIES VARIABLES=A1206 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=A1207 [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 26.  TIPOS DE BOLSAS UTILIZADAS POR LOS HOGARES PARA REALIZAR SUS COMPRAS.

CTABLES
  /VLABELS VARIABLES=A13 DISPLAY=LABEL
  /TABLE A13 [COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=A13 ORDER=A KEY=VALUE EMPTY=INCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 27.  TIPOS DE BOLSAS UTILIZADAS POR LOS HOGARES PARA REALIZAR SUS COMPRAS POR REGIÓN.

CTABLES
  /VLABELS VARIABLES=REG_NATURAL A13 DISPLAY=LABEL
  /TABLE REG_NATURAL BY A13 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=REG_NATURAL A13 ORDER=A KEY=VALUE EMPTY=INCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 28.  HOGARES QUE VEN LA IMPORTANCIA EN CIERTAS CARACTERÍSTICAS AL COMPRAR UN NUEVO PRODUCTO.

CTABLES
  /VLABELS VARIABLES=A1401 A1402 A1403 A1404 A1405 DISPLAY=LABEL
  /TABLE A1401 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] + A1402 [C][COUNT F40.0, COLPCT.VALIDN 
    PCT40.1] + A1403 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] + A1404 [C][COUNT F40.0, COLPCT.VALIDN 
    PCT40.1] + A1405 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=A1401 EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=A1402 EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=A1403 EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=A1404 EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=A1405 EMPTY=EXCLUDE.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 29.  HOGARES QUE TUVIERON CONOCIMIENTO AL MENOS DE UNA CAMPAÑA RELATIVA A LA PROTECCIÓN
*                         DEL AMBIENTE.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN A16 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.1] + DOMIN [COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY A16
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A16 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 30.  HOGARES QUE FUERON AFECTADOS AL MENOS CON UN PROBLEMA AMBIENTAL EN SU BARRIO.

COMPUTE HG_PR_AMB = MIN (A1701, A1702, A1703, A1704, A1705).
VARIABLE LABELS HG_PR_AMB "Hogares afectados con al menos un problema ambiental en su barrio".
VALUE LABELS HG_PR_AMB 1'Sí' 2'No' 3'No aplica'.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN HG_PR_AMB DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.1] + DOMIN [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY HG_PR_AMB
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=HG_PR_AMB [1,2].

DELETE VARIABLES HG_PR_AMB.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 31.  HOGARES A LOS QUE LES PREOCUPA MUCHO LA SITUACIÓN AMBIENTAL EN SU BARRIO.

COMPUTE PREOCUPA = (A18 > 3).
VARIABLE LABELS PREOCUPA "Hogares con preocupación ambiental en su barrio".
VALUE LABELS PREOCUPA 1'Sí' 0'No'.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN PREOCUPA DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.1] + DOMIN [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY PREOCUPA
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN PREOCUPA ORDER=A KEY=VALUE EMPTY=INCLUDE.

DELETE VARIABLES PREOCUPA.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o Cónyuge)
* --- TABLA 32.  HOGARES CON PARTICIPACIÓN EN ACTIVISMO AMBIENTAL.

COMPUTE HG_AC_AMB = MIN (A1901, A1902, A1903, A1904).
VARIABLE LABELS HG_AC_AMB "Hogares con participación en activismo ambiental".
VALUE LABELS HG_AC_AMB 1'Sí' 2'No'.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN HG_AC_AMB DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.1] + DOMIN [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY HG_AC_AMB
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN HG_AC_AMB ORDER=A KEY=VALUE EMPTY=INCLUDE.

DELETE VARIABLES HG_AC_AMB.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 14: DATOS DE LA VIVIENDA Y EL HOGAR (Jefe o Cónyuge)
* --- TABLA 33.  HOGARES QUE DISPONEN DE BICICLETAS.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN EQ1201 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.1] + DOMIN [COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY EQ1201
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=EQ1201 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 5.1: INFORMACIÓN AMBIENTAL (Personas de 5 años y más)
* --- TABLA 34.  HOGARES EN LOS QUE AL MENOS UNA PERSONA UTILIZÓ BICICLETA.

GET
  FILE='C:\Users\rbenavides\Documents\DEAGA\ENEMDU 2016\4ta Preliminar\PERSONAS.sav'.

SORT CASES BY AREA (A) CIUDAD (A) ZONA (A) SECTOR (A) PANELM (A) VIVIENDA (A) HOGAR (A) P01 (A).

DATASET NAME Personas WINDOW=FRONT.

COMPUTE FILTRO_5 = (P03 >= 5).
FILTER OFF.
USE ALL.
FILTER BY FILTRO_5.

DATASET ACTIVATE Personas.
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /PRESORTED
  /BREAK=AREA CIUDAD ZONA SECTOR PANELM VIVIENDA HOGAR
  /PIA01A_min 'Hogares donde al menos un miembro usa bicicleta'=MIN(PIA01A).

FREQUENCIES PIA01A_min.
FILTER OFF.
USE ALL.

SAVE OUTFILE='C:\Users\rbenavides\Documents\DEAGA\ENEMDU 2016\4ta Preliminar\PERSONAS.sav'
 /COMPRESSED.

DATASET ACTIVATE Ambientales WINDOW=FRONT.
SORT CASES BY AREA (A) CIUDAD (A) ZONA (A) SECTOR (A) PANELM (A) VIVIENDA (A) HOGAR (A).
COMPUTE registro_original = 1.
FREQUENCIES registro_original.

DATASET ACTIVATE Ambientales.
MATCH FILES /TABLE=*
  /FILE='Personas'
  /RENAME (PERSONA NIVINST ANOINST SABELE TITULODCI P12A DTITULO P12B P13 P14 P15 P15AA P15AB 
    P15ADCI P16A P16B P17DCI P17A P17B P18 P19A P19B SEXO TRABAJO ACTAYUDA AUNOTRA PORNOT HORTRASA 
    RATMEH RATMAH HORMAS P28 P29 P29A P30 P31 BUSTRAMA TIEMBUS MOTNOBUS DESEATRA CONDINA TRABANT 
    MOTNOTRA TIEMNOT RELJEFE SD01 SD021 SD0210 SD0211 SD022 SD023 SD024 SD025 SD026 SD027 SD028 SD029 
    SD03 SD03D DRAMA RAMADCI RAMA P40ADCI P40A P40A1 P40A2 P40A3 P40A4 DGRUPO GRUPO GRUPODCI CATETRAB 
    P42A ESTABIL P44A P44B P44C P44D P44E P44F P44G P44H P44I P44J P44K P45 P46 PERTRABN NPERTRA P48 
    P49 NUMTRAB HORTRAHP HORTRAHS HORTRAHO DRAMAS RAMAS RAMASDCI DGRUPOS GRUPOS GRUPOSDCI CATES P54A 
    P55 P56A P56B P57 P58 P58A P58B P58BDCI P58B1 P58B2 P58B3 P58B4 P59 IESS P05B P06 P60A P60B P60C 
    P60D P60E P60F P60G P60H P60I P60J P60K P61A101 P61A102 P61A103 P61A11 P61A111 P61A112 P61A113 
    P61A12 P61A13 P61A2 P61A31 P61A32 P61A33 P61A34 P61A4 P61A5 P61A61 P61A62 P61A7 P61A8 P61A91 P61A92 
    P61B1 P63 P63D P64A P64B P64D P65 P65D P66 P66D P67 P67D P68A P68B P68D P69 ASISTEA P70A P70B P71A 
    P71B P71D P72A P72B P72D P73A P73B P73D P74A P74B P74D P75 P76 P76D P77 P78 P78D P79 P79A1 P79A2 
    P79B1 P79B2 P08 P09 CED01A CED01C CONDACT PCOMP COD_INF INGRL PE01 PE02A PE02B PE03 PE03A1 PE03A2 
    PE03A3 PE03A4 PE03A5 PE04 PE05A PE05B PE06 PE07 PE08 PE09A PE09B PIA01A PIA01B PIA02 PIA02D PIA03 
    prov PS01 PS02A PS02B PS02C PS03 PS03A PS04A PS04B PS04C PS05 PS05A PS05B PS06 PS06A PS06B PS07 
    PS07A PS07AA PS07AB PS07B PS08 PS08A PS08B PS09 PS09A PS09B PS10 PS10A PS10B PS11 PS11A PS12 PS12A 
    PT01A PT01B PT02 PT03 PT04A PT04B PT04C PT05 PT06A PT06B PT06C PT06D PT07 PT08 PT1A PT1B1 PT1B2 
    PT1B3 PT1B4 PT1B5 PT1B6 Rgnl Rn PEAMSIU SEG011 SEG0110 SEG012 SEG013 SEG014 SEG015 SEG016 SEG017 
    SEG018 SEG019 SEG02 SEG03 SEG041 SEG042 SEG043 SEG044 SEG045 SEG046 SEG047 SEG048 SEG05 SEG06 SEG07 
    SEG08 SEG091 SEG092 SEG093 SEG101 SEG102 SEG103 SEG104 SEG111 SEG112 SEG113 SEG121 SEG122 SEG123 = 
    d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 
    d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 
    d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76 
    d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 d100 
    d101 d102 d103 d104 d105 d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 d120 
    d121 d122 d123 d124 d125 d126 d127 d128 d129 d130 d131 d132 d133 d134 d135 d136 d137 d138 d139 d140 
    d141 d142 d143 d144 d145 d146 d147 d148 d149 d150 d151 d152 d153 d154 d155 d156 d157 d158 d159 d160 
    d161 d162 d163 d164 d165 d166 d167 d168 d169 d170 d171 d172 d173 d174 d175 d176 d177 d178 d179 d180 
    d181 d182 d183 d184 d185 d186 d187 d188 d189 d190 d191 d192 d193 d194 d195 d196 d197 d198 d199 d200 
    d201 d202 d203 d204 d205 d206 d207 d208 d209 d210 d211 d212 d213 d214 d215 d216 d217 d218 d219 d220 
    d221 d222 d223 d224 d225 d226 d227 d228 d229 d230 d231 d232 d233 d234 d235 d236 d237 d238 d239 d240 
    d241 d242 d243 d244 d245 d246 d247 d248 d249 d250 d251 d252 d253 d254 d255 d256 d257 d258 d259 d260 
    d261 d262 d263 d264 d265 d266 d267 d268 d269 d270 d271 d272 d273 d274 d275 d276 d277 d278 d279 d280 
    d281 d282 d283 d284 d285 d286 d287 d288 d289 d290 d291 d292 d293 d294 d295 d296 d297 d298 d299 d300 
    d301 d302 d303 d304 d305 d306 d307 d308 d309 d310 d311 d312 d313 d314 d315 d316 d317 d318) 
  /BY AREA CIUDAD ZONA SECTOR PANELM VIVIENDA HOGAR
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 
    d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 
    d75 d76 d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 
    d100 d101 d102 d103 d104 d105 d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 
    d120 d121 d122 d123 d124 d125 d126 d127 d128 d129 d130 d131 d132 d133 d134 d135 d136 d137 d138 d139 
    d140 d141 d142 d143 d144 d145 d146 d147 d148 d149 d150 d151 d152 d153 d154 d155 d156 d157 d158 d159 
    d160 d161 d162 d163 d164 d165 d166 d167 d168 d169 d170 d171 d172 d173 d174 d175 d176 d177 d178 d179 
    d180 d181 d182 d183 d184 d185 d186 d187 d188 d189 d190 d191 d192 d193 d194 d195 d196 d197 d198 d199 
    d200 d201 d202 d203 d204 d205 d206 d207 d208 d209 d210 d211 d212 d213 d214 d215 d216 d217 d218 d219 
    d220 d221 d222 d223 d224 d225 d226 d227 d228 d229 d230 d231 d232 d233 d234 d235 d236 d237 d238 d239 
    d240 d241 d242 d243 d244 d245 d246 d247 d248 d249 d250 d251 d252 d253 d254 d255 d256 d257 d258 d259 
    d260 d261 d262 d263 d264 d265 d266 d267 d268 d269 d270 d271 d272 d273 d274 d275 d276 d277 d278 d279 
    d280 d281 d282 d283 d284 d285 d286 d287 d288 d289 d290 d291 d292 d293 d294 d295 d296 d297 d298 d299 
    d300 d301 d302 d303 d304 d305 d306 d307 d308 d309 d310 d311 d312 d313 d314 d315 d316 d317 d318.
EXECUTE.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN PIA01A_min DISPLAY=LABEL
  /TABLE NACIONAL + AREA + DOMIN BY PIA01A_min [COUNT F40.0, ROWPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=NACIONAL AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=PIA01A_min ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 5.1: INFORMACIÓN AMBIENTAL (Personas de 5 años y más)
* --- TABLA 35.  USO DE BICICLETA POR PERSONA.

DATASET ACTIVATE Personas WINDOW=FRONT.

RECODE P03 (5 THRU 14 = 1) (15 THRU 24 = 2) (25 THRU 34 = 3) (35 THRU 44 = 4) (45 THRU 64 = 5)
(65 THRU HI = 6) INTO Grupo_Edad_BICI.
VARIABLE LABELS Grupo_Edad_BICI "Grupos de edad para uso de bicicleta por personas".
VALUE LABELS Grupo_Edad_BICI 1'Grupo 5-14 años'
2'Grupo 15-24 años'
3'Grupo 25-34 años'
4'Grupo 35-44 años'
5'Grupo 45-64 años'
6'Grupo 65 años o más'.

COMPUTE NACIONAL=1.
VARIABLE LABELS NACIONAL "NACIONAL".
VALUE LABELS NACIONAL 1"Nacional".

WEIGHT BY FEXP.

DATASET ACTIVATE Personas.

CTABLES
  /VLABELS VARIABLES=NACIONAL Grupo_Edad_BICI PIA01A DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + Grupo_Edad_BICI [C][COUNT F40.0, 
    ROWPCT.VALIDN PCT40.1] BY PIA01A [C]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=Grupo_Edad_BICI ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=PIA01A ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 5.1: INFORMACIÓN AMBIENTAL (Personas de 5 años y más)
* --- TABLA 36.  POBLACIÓN QUE UTILIZÓ BICICLETAS POR GRUPO DE EDAD.

CTABLES
  /VLABELS VARIABLES=NACIONAL Grupo_Edad_BICI PIA01A DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.VALIDN PCT40.1] + Grupo_Edad_BICI [C][COUNT F40.0, 
    ROWPCT.VALIDN PCT40.1] BY PIA01A [C]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=Grupo_Edad_BICI ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=PIA01A ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 5.1: INFORMACIÓN AMBIENTAL (Personas de 5 años y más)
* --- TABLA 37.  FRECUENCIA DEL USO DE BICICLETA.

DATASET ACTIVATE Personas WINDOW=FRONT.

IF (CIUDAD=170150) DOMIN=1.
IF (CIUDAD=90150) DOMIN=2.
IF (CIUDAD=10150) DOMIN=3.
IF (CIUDAD=180150) DOMIN=4.
IF (CIUDAD=70150) DOMIN=5.

VARIABLE LABELS DOMIN 'Ciudades de Dominio'.
VALUE LABELS DOMIN 1 'Quito' 2 'Guayaquil' 3 'Cuenca' 4 'Ambato' 5 'Machala'.
EXECUTE.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN PIA01B DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.1] + DOMIN [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY PIA01B [C]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=PIA01B ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 5.1: INFORMACIÓN AMBIENTAL (Personas de 5 años y más)
* --- TABLA 38.  MEDIO DE TRASLADO DE LAS PERSONAS DE 5 AÑOS Y MÁS A NIVEL NACIONAL.

DATASET ACTIVATE Personas WINDOW=FRONT.

RECODE PIA02 (1,2 = 1) (3 = 2) (4 = 3) (5 = 4) (6 = 5) INTO MEDIO_TRASLADO.
VARIABLE LABELS MEDIO_TRASLADO "Medio de traslado de las personas de 5 años y más".
VALUE LABELS MEDIO_TRASLADO 1'Vehículo particular'
2'Transporte público'
3'Bicicleta'
4'Caminar'
5'Otro, cuál'.

FILTER OFF.
USE ALL.
FILTER BY FILTRO_5.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN MEDIO_TRASLADO DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.1] + DOMIN [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY MEDIO_TRASLADO [C]
  /CATEGORIES VARIABLES=NACIONAL MEDIO_TRASLADO ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 5.1: INFORMACIÓN AMBIENTAL (Personas de 5 años y más)
* --- TABLA 39.  USO DEL VEHÍCULO PARTICULAR (según dominio y área).

DATASET ACTIVATE Personas WINDOW=FRONT.

FILTER OFF.
USE ALL.
FILTER BY FILTRO_5.

CTABLES
  /VLABELS VARIABLES=NACIONAL AREA DOMIN PIA02 DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + AREA [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.1] + DOMIN [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY PIA02
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=AREA DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=PIA02 [1, 2] EMPTY=INCLUDE.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 5.1: INFORMACIÓN AMBIENTAL (Personas de 5 años y más)
* --- TABLA 40.  USO DEL VEHÍCULO PARTICULAR (según grupo etáreo).

DATASET ACTIVATE Personas WINDOW=FRONT.

FILTER OFF.
USE ALL.
FILTER BY FILTRO_5.

CTABLES
  /VLABELS VARIABLES=NACIONAL Grupo_Edad_BICI PIA02 DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + Grupo_Edad_BICI [C][COUNT F40.0, 
    ROWPCT.VALIDN  PCT40.1] BY PIA02
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=Grupo_Edad_BICI ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=PIA02 [1, 2] EMPTY=INCLUDE.

FILTER OFF.
USE ALL.

* --------------------------------------------------------------------------------------------------------------------------------------------------.

* --- SECCIÓN 10: INFORMACIÓN AMBIENTAL (Jefe o cónyuge)
* --- TABLA 41.  COMBUSTIBLE MÁS UTILIZADO POR PARTE DE LOS HOGARES.

SAVE OUTFILE='C:\Users\rbenavides\Documents\DEAGA\ENEMDU 2016\4ta Preliminar\PERSONAS.sav'
 /COMPRESSED.

DATASET ACTIVATE Ambientales WINDOW=FRONT.
DATASET CLOSE Personas.

COMPUTE FILTRO_POSEE_VEH = (EQ1301 = 1 | EQ1401 = 1).

FILTER OFF.
USE ALL.

FILTER BY FILTRO_POSEE_VEH.
CTABLES
  /VLABELS VARIABLES=A1501 A1502 A1503 A1505 DOMIN DISPLAY=LABEL
  /TABLE A1501 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] + A1502 [C][COUNT F40.0, COLPCT.VALIDN 
    PCT40.1] + A1503 [C][COUNT F40.0, COLPCT.VALIDN PCT40.1] + A1505 [C][COUNT F40.0, COLPCT.VALIDN 
    PCT40.1] BY DOMIN [C]
  /CATEGORIES VARIABLES=A1501 A1502 A1503 A1505 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE.

FILTER OFF.
USE ALL.

SAVE OUTFILE='C:\Users\rbenavides\Documents\DEAGA\ENEMDU 2016\4ta Preliminar\AMBIENTE.sav'
 /COMPRESSED.

*************************************************************************************************************
* FIN DE LA SINTAXIS DE TABULADOS MÓDULO AMBIENTAL - ENEMDU 2016.
*************************************************************************************************************.

